> For the complete documentation index, see [llms.txt](https://docs.talsec.app/freerasp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talsec.app/freerasp/freerasp/integration/ios/api.md).

# API

## Variables

### `TalsecConfig`

Specifies configuration for your app. See the table below for detailed description of the attributes.

<table><thead><tr><th width="160">field</th><th width="92">type</th><th>description</th><th>sample value</th></tr></thead><tbody><tr><td>appBundleIds</td><td>[String]</td><td>List of Bundle IDs for the app</td><td><code>["com.talsec.freerasp.demoapp"]</code></td></tr><tr><td>appTeamId</td><td>String</td><td>Apple Team ID for the signing of the app</td><td>"M8AK35..."</td></tr><tr><td>watcherMailAddress</td><td>String?</td><td><p>The value is automatically used for Security Reports, Product Updates, and Talsec Portal updates, <a href="/pages/nXeUfFQHrJJCKXvo5ytH">learn more</a>.</p><p> Mail has a strict form <code>'name@domain.com'</code>.</p></td><td><code>"john@example.com"</code></td></tr><tr><td>isProd</td><td>Bool?</td><td><p>Defaults to <code>true</code> when undefined. If you want to use the <strong>Dev</strong> version to make the development process easier, set the parameter to <code>false</code>. Make sure that you have the <strong>Release</strong> version in the production (i.e. isProd set to true)!</p><p><br></p></td><td><code>true</code></td></tr></tbody></table>

## Classes

### `public class Talsec`

#### Methods

`public static func start(config: TalsecRuntime.TalsecConfig)`

* The method used to start freeRASP's audit.&#x20;

`public static func blockScreenCapture(enable: Bool, window: UIWindow)`

* The method blocks the screen capture in specific UIWindow.

`public static func isScreenCaptureBlocked(in window: UIWindow) -> Bool`

* The method returns whether the screen capture is blocked in specific UIWindow.

`public static func storeExternalId(externalId: String)`&#x20;

* The method stores an externalId into the logs for data collection.

## Protocols

### `public protocol SecurityThreatHandler`

#### Methods

`func threatDetected(_ securityThreat: TalsecRuntime.SecurityThreat)`

* Notifier about detected threats.

### `public protocol TalsecRuntume.RaspExecutionState`&#x20;

#### Methods

`func onAllChecksFinished()`

* Notifier about finished threats

## Enums

### `public enum SecurityThreat : String, Codable, CaseIterable, Equatable`

Provides all types of threats detected by freeRASP. Read more about the meaning of the threats in the [wiki](broken://spaces/9DQ40Y2I27sTRPvnIWzM/pages/F73KTa9skyqrQLv4Di4B).&#x20;

#### Cases

* `signature`
* `jailbreak`
* `debugger`
* `runtimeManipulation`
* `passcode`
* `simulator`
* `missingSecureEnclave`
* `systemVPN`
* `deviceChange`
* `deviceID`
* `unofficialStore`
* `screenshot`
* `screenRecording`
* `timeSpoofing`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.talsec.app/freerasp/freerasp/integration/ios/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
